# PGSTD::back_insert_iterator< pqxx::tablewriter > Class Template Reference

Specialized back_insert_iterator for tablewriter. More...

`#include <tablewriter.hxx>`

List of all members.

## Public Member Functions

| back_insert_iterator (pqxx::tablewriter &W) throw ()
back_insert_iterator & | operator= (const back_insert_iterator &rhs) throw ()
template<typename TUPLE>
back_insert_iterator & | operator= (const TUPLE &T)
back_insert_iterator & | operator++ ()
back_insert_iterator & | operator++ (int)
back_insert_iterator & | operator * ()

## Detailed Description

### template<>
class PGSTD::back_insert_iterator< pqxx::tablewriter >

Specialized back_insert_iterator for tablewriter.

Doesn't require a value_type to be defined. Accepts any container type instead.

## Constructor & Destructor Documentation

PGSTD::back_insert_iterator< pqxx::tablewriter >::back_insert_iterator | ( | pqxx::tablewriter & | W | ) | throw ()`[explicit]`

## Member Function Documentation

back_insert_iterator& PGSTD::back_insert_iterator< pqxx::tablewriter >::operator= | ( | const back_insert_iterator< pqxx::tablewriter > & | rhs | ) | throw ()

template<typename TUPLE>

back_insert_iterator& PGSTD::back_insert_iterator< pqxx::tablewriter >::operator= | ( | const TUPLE & | T | ) |

back_insert_iterator& PGSTD::back_insert_iterator< pqxx::tablewriter >::operator++ | ( |  | ) |

back_insert_iterator& PGSTD::back_insert_iterator< pqxx::tablewriter >::operator++ | ( | int |  | ) |

back_insert_iterator& PGSTD::back_insert_iterator< pqxx::tablewriter >::operator * | ( |  | ) |

The documentation for this class was generated from the following file:

- tablewriter.hxx